Update schedule
curl --request PATCH \
--url https://api.devin.ai/v3/organizations/{org_id}/schedules/{schedule_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bypass_approval": true,
"enabled": true,
"frequency": "<string>",
"interval_count": 123,
"name": "<string>",
"platform": "<string>",
"playbook_id": "<string>",
"prompt": "<string>",
"run_as_user_id": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"skill_ref": {
"plugin_identity": "<string>",
"skill_name": "<string>"
},
"slack_channel_id": "<string>",
"slack_team_id": "<string>",
"tags": [
"<string>"
],
"target_devin_id": "<string>"
}
'import requests
url = "https://api.devin.ai/v3/organizations/{org_id}/schedules/{schedule_id}"
payload = {
"bypass_approval": True,
"enabled": True,
"frequency": "<string>",
"interval_count": 123,
"name": "<string>",
"platform": "<string>",
"playbook_id": "<string>",
"prompt": "<string>",
"run_as_user_id": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"skill_ref": {
"plugin_identity": "<string>",
"skill_name": "<string>"
},
"slack_channel_id": "<string>",
"slack_team_id": "<string>",
"tags": ["<string>"],
"target_devin_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
bypass_approval: true,
enabled: true,
frequency: '<string>',
interval_count: 123,
name: '<string>',
platform: '<string>',
playbook_id: '<string>',
prompt: '<string>',
run_as_user_id: '<string>',
scheduled_at: '2023-11-07T05:31:56Z',
skill_ref: {plugin_identity: '<string>', skill_name: '<string>'},
slack_channel_id: '<string>',
slack_team_id: '<string>',
tags: ['<string>'],
target_devin_id: '<string>'
})
};
fetch('https://api.devin.ai/v3/organizations/{org_id}/schedules/{schedule_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.devin.ai/v3/organizations/{org_id}/schedules/{schedule_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'bypass_approval' => true,
'enabled' => true,
'frequency' => '<string>',
'interval_count' => 123,
'name' => '<string>',
'platform' => '<string>',
'playbook_id' => '<string>',
'prompt' => '<string>',
'run_as_user_id' => '<string>',
'scheduled_at' => '2023-11-07T05:31:56Z',
'skill_ref' => [
'plugin_identity' => '<string>',
'skill_name' => '<string>'
],
'slack_channel_id' => '<string>',
'slack_team_id' => '<string>',
'tags' => [
'<string>'
],
'target_devin_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.devin.ai/v3/organizations/{org_id}/schedules/{schedule_id}"
payload := strings.NewReader("{\n \"bypass_approval\": true,\n \"enabled\": true,\n \"frequency\": \"<string>\",\n \"interval_count\": 123,\n \"name\": \"<string>\",\n \"platform\": \"<string>\",\n \"playbook_id\": \"<string>\",\n \"prompt\": \"<string>\",\n \"run_as_user_id\": \"<string>\",\n \"scheduled_at\": \"2023-11-07T05:31:56Z\",\n \"skill_ref\": {\n \"plugin_identity\": \"<string>\",\n \"skill_name\": \"<string>\"\n },\n \"slack_channel_id\": \"<string>\",\n \"slack_team_id\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"target_devin_id\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.devin.ai/v3/organizations/{org_id}/schedules/{schedule_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"bypass_approval\": true,\n \"enabled\": true,\n \"frequency\": \"<string>\",\n \"interval_count\": 123,\n \"name\": \"<string>\",\n \"platform\": \"<string>\",\n \"playbook_id\": \"<string>\",\n \"prompt\": \"<string>\",\n \"run_as_user_id\": \"<string>\",\n \"scheduled_at\": \"2023-11-07T05:31:56Z\",\n \"skill_ref\": {\n \"plugin_identity\": \"<string>\",\n \"skill_name\": \"<string>\"\n },\n \"slack_channel_id\": \"<string>\",\n \"slack_team_id\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"target_devin_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.devin.ai/v3/organizations/{org_id}/schedules/{schedule_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"bypass_approval\": true,\n \"enabled\": true,\n \"frequency\": \"<string>\",\n \"interval_count\": 123,\n \"name\": \"<string>\",\n \"platform\": \"<string>\",\n \"playbook_id\": \"<string>\",\n \"prompt\": \"<string>\",\n \"run_as_user_id\": \"<string>\",\n \"scheduled_at\": \"2023-11-07T05:31:56Z\",\n \"skill_ref\": {\n \"plugin_identity\": \"<string>\",\n \"skill_name\": \"<string>\"\n },\n \"slack_channel_id\": \"<string>\",\n \"slack_team_id\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"target_devin_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"agent": "devin",
"consecutive_failures": 123,
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"enabled": true,
"frequency": "<string>",
"last_error_at": "2023-11-07T05:31:56Z",
"last_error_message": "<string>",
"last_executed_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"notify_on": "always",
"org_id": "<string>",
"playbook": {
"playbook_id": "<string>",
"title": "<string>"
},
"prompt": "<string>",
"scheduled_session_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"bypass_approval": false,
"interval_count": 1,
"last_edited_by": "<string>",
"platform": "<string>",
"schedule_type": "recurring",
"scheduled_at": "2023-11-07T05:31:56Z",
"skill_ref": {
"plugin_identity": "<string>",
"skill_name": "<string>"
},
"slack_channel_id": "<string>",
"slack_team_id": "<string>",
"tags": [
"<string>"
],
"target_devin_id": "<string>"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}Schedules (Organization)
Update schedule
deprecated
Update an existing schedule.
Deprecated. Schedules are superseded by Automations: create an automation with a schedule:recurring trigger via POST /v3/organizations/{org_id}/automations instead. This endpoint remains available for existing schedules.
PATCH
/
v3
/
organizations
/
{org_id}
/
schedules
/
{schedule_id}
Update schedule
curl --request PATCH \
--url https://api.devin.ai/v3/organizations/{org_id}/schedules/{schedule_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bypass_approval": true,
"enabled": true,
"frequency": "<string>",
"interval_count": 123,
"name": "<string>",
"platform": "<string>",
"playbook_id": "<string>",
"prompt": "<string>",
"run_as_user_id": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"skill_ref": {
"plugin_identity": "<string>",
"skill_name": "<string>"
},
"slack_channel_id": "<string>",
"slack_team_id": "<string>",
"tags": [
"<string>"
],
"target_devin_id": "<string>"
}
'import requests
url = "https://api.devin.ai/v3/organizations/{org_id}/schedules/{schedule_id}"
payload = {
"bypass_approval": True,
"enabled": True,
"frequency": "<string>",
"interval_count": 123,
"name": "<string>",
"platform": "<string>",
"playbook_id": "<string>",
"prompt": "<string>",
"run_as_user_id": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"skill_ref": {
"plugin_identity": "<string>",
"skill_name": "<string>"
},
"slack_channel_id": "<string>",
"slack_team_id": "<string>",
"tags": ["<string>"],
"target_devin_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
bypass_approval: true,
enabled: true,
frequency: '<string>',
interval_count: 123,
name: '<string>',
platform: '<string>',
playbook_id: '<string>',
prompt: '<string>',
run_as_user_id: '<string>',
scheduled_at: '2023-11-07T05:31:56Z',
skill_ref: {plugin_identity: '<string>', skill_name: '<string>'},
slack_channel_id: '<string>',
slack_team_id: '<string>',
tags: ['<string>'],
target_devin_id: '<string>'
})
};
fetch('https://api.devin.ai/v3/organizations/{org_id}/schedules/{schedule_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.devin.ai/v3/organizations/{org_id}/schedules/{schedule_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'bypass_approval' => true,
'enabled' => true,
'frequency' => '<string>',
'interval_count' => 123,
'name' => '<string>',
'platform' => '<string>',
'playbook_id' => '<string>',
'prompt' => '<string>',
'run_as_user_id' => '<string>',
'scheduled_at' => '2023-11-07T05:31:56Z',
'skill_ref' => [
'plugin_identity' => '<string>',
'skill_name' => '<string>'
],
'slack_channel_id' => '<string>',
'slack_team_id' => '<string>',
'tags' => [
'<string>'
],
'target_devin_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.devin.ai/v3/organizations/{org_id}/schedules/{schedule_id}"
payload := strings.NewReader("{\n \"bypass_approval\": true,\n \"enabled\": true,\n \"frequency\": \"<string>\",\n \"interval_count\": 123,\n \"name\": \"<string>\",\n \"platform\": \"<string>\",\n \"playbook_id\": \"<string>\",\n \"prompt\": \"<string>\",\n \"run_as_user_id\": \"<string>\",\n \"scheduled_at\": \"2023-11-07T05:31:56Z\",\n \"skill_ref\": {\n \"plugin_identity\": \"<string>\",\n \"skill_name\": \"<string>\"\n },\n \"slack_channel_id\": \"<string>\",\n \"slack_team_id\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"target_devin_id\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.devin.ai/v3/organizations/{org_id}/schedules/{schedule_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"bypass_approval\": true,\n \"enabled\": true,\n \"frequency\": \"<string>\",\n \"interval_count\": 123,\n \"name\": \"<string>\",\n \"platform\": \"<string>\",\n \"playbook_id\": \"<string>\",\n \"prompt\": \"<string>\",\n \"run_as_user_id\": \"<string>\",\n \"scheduled_at\": \"2023-11-07T05:31:56Z\",\n \"skill_ref\": {\n \"plugin_identity\": \"<string>\",\n \"skill_name\": \"<string>\"\n },\n \"slack_channel_id\": \"<string>\",\n \"slack_team_id\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"target_devin_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.devin.ai/v3/organizations/{org_id}/schedules/{schedule_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"bypass_approval\": true,\n \"enabled\": true,\n \"frequency\": \"<string>\",\n \"interval_count\": 123,\n \"name\": \"<string>\",\n \"platform\": \"<string>\",\n \"playbook_id\": \"<string>\",\n \"prompt\": \"<string>\",\n \"run_as_user_id\": \"<string>\",\n \"scheduled_at\": \"2023-11-07T05:31:56Z\",\n \"skill_ref\": {\n \"plugin_identity\": \"<string>\",\n \"skill_name\": \"<string>\"\n },\n \"slack_channel_id\": \"<string>\",\n \"slack_team_id\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"target_devin_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"agent": "devin",
"consecutive_failures": 123,
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"enabled": true,
"frequency": "<string>",
"last_error_at": "2023-11-07T05:31:56Z",
"last_error_message": "<string>",
"last_executed_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"notify_on": "always",
"org_id": "<string>",
"playbook": {
"playbook_id": "<string>",
"title": "<string>"
},
"prompt": "<string>",
"scheduled_session_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"bypass_approval": false,
"interval_count": 1,
"last_edited_by": "<string>",
"platform": "<string>",
"schedule_type": "recurring",
"scheduled_at": "2023-11-07T05:31:56Z",
"skill_ref": {
"plugin_identity": "<string>",
"skill_name": "<string>"
},
"slack_channel_id": "<string>",
"slack_team_id": "<string>",
"tags": [
"<string>"
],
"target_devin_id": "<string>"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}Deprecated. Schedules are superseded by Automations. This endpoint keeps working for existing schedules; new scheduled work should be created as an automation with a
schedule:recurring trigger.Permissions
Requires a service user or personal access token with theManageOrgSchedules permission at the organization level.
Notes
All fields are optional. Only the fields provided in the request body will be updated. To disable a schedule, setenabled to false.
Setting playbook_id to null will clear the associated playbook.
You can change the schedule_type between recurring and one_time. When changing to one_time, provide scheduled_at with a future ISO 8601 datetime. When changing to recurring, provide frequency with a valid cron expression.
Execution identity
Therun_as_user_id parameter controls which user identity the schedule runs as. When a schedule fires, sessions are created under this user — they receive notifications and the session appears in their history.
- Set a user: Provide a valid user ID to change the execution identity. This requires:
- The service user must have
ImpersonateOrgSessionspermission - The target user must be a member of the organization
- The target user must have
UseDevinSessionspermission
- The service user must have
- Clear (set to
null): Reverts the schedule to run as the default bot user - Omit the field: Leaves the current execution identity unchanged
Path Parameters
Body
application/json
Response
Successful Response

